Index: TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java
===================================================================
--- TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 3889)
@@ -124,7 +124,7 @@
 
 					if (cooc == null) return null;
 
-					Log.info(TXMCoreMessages.bind(TXMUIMessages.coocMatrixColon, cooc.getSymbol()));
+					Log.info(TXMCoreMessages.bind(TXMUIMessages.coocMatrixColonP0, cooc.getSymbol()));
 
 					syncExec(new Runnable() {
 						@Override
@@ -140,7 +140,7 @@
 				} catch (Exception e) {
 					Log.printStackTrace(e);
 					try {
-						Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorColon, CQPSearchEngine.getCqiClient().getLastCQPError()));
+						Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorP0, CQPSearchEngine.getCqiClient().getLastCQPError()));
 					} catch (Exception e1) {
 						e1.printStackTrace();
 						}
@@ -169,7 +169,7 @@
 		getQueriesAndNames(dialog.getQueryFile2(), queries2, names2);
 
 		Log.info(TXMCoreMessages.bind(TXMCoreMessages.common_queriesColonP0, queries1));
-		Log.info(TXMCoreMessages.bind(TXMUIMessages.namesColon, names1));
+		Log.info(TXMCoreMessages.bind(TXMUIMessages.namesP0, names1));
 
 		QueryCooccurrence cooc = null;
 		try {
@@ -180,15 +180,15 @@
 			cooc.setParameters(queries1, names1, queries2, names2, dist, min, struct);
 			cooc.compute();
 			
-			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfNodesColon, cooc.getNNodes()));
-			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfEdgesColon, cooc.getNEdges()));
-			Log.info(TXMCoreMessages.bind(TXMUIMessages.distance_2, dist));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfNodesP0, cooc.getNNodes()));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfEdgesP0, cooc.getNEdges()));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.wordsDistanceP0, dist));
 			
 		} catch (Exception e) {
 			// TODO Auto-generated catch block
 			Log.printStackTrace(e);
 			try {
-				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorColon, CQPSearchEngine.getCqiClient().getLastCQPError()));
+				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorP0, CQPSearchEngine.getCqiClient().getLastCQPError()));
 			} catch (Exception e1) {
 				e1.printStackTrace();
 				}
Index: TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java
===================================================================
--- TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 3889)
@@ -124,7 +124,7 @@
 
 					if (cooc == null) return null;
 					
-					Log.info(TXMCoreMessages.bind(TXMUIMessages.coocMatrixColon, cooc.getSymbol()));
+					Log.info(TXMCoreMessages.bind(TXMUIMessages.coocMatrixColonP0, cooc.getSymbol()));
 
 					syncExec(new Runnable() {
 						@Override
@@ -140,7 +140,7 @@
 				} catch (Exception e) {
 					Log.printStackTrace(e);
 					try {
-						Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorColon, CQPSearchEngine.getCqiClient().getLastCQPError()));
+						Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorP0, CQPSearchEngine.getCqiClient().getLastCQPError()));
 					} catch (Exception e1) {
 						e1.printStackTrace();
 					}
@@ -172,7 +172,7 @@
 		}
 
 		System.out.println(TXMCoreMessages.bind(TXMCoreMessages.common_queriesColonP0, queries));
-		System.out.println(TXMCoreMessages.bind(TXMUIMessages.namesColon, names));
+		System.out.println(TXMCoreMessages.bind(TXMUIMessages.namesP0, names));
 
 		QueryAutoCooccurrence cooc = null;
 		try {
@@ -183,20 +183,20 @@
 			cooc = new QueryAutoCooccurrence(corpus);
 			cooc.setParameters(queries, names, dist, min, struct, oriented, new ConsoleProgressBar(nqueries));
 			
-			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfNodesColon, cooc.getNNodes()));
-			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfEdgesColon, cooc.getNEdges()));
-			Log.info(TXMCoreMessages.bind(TXMUIMessages.distance_2, dist));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfNodesP0, cooc.getNNodes()));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfEdgesP0, cooc.getNEdges()));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.wordsDistanceP0, dist));
 
 			if (outfile != null) {
 				cooc.toGraphml(outfile);
 				
-				Log.info(TXMCoreMessages.bind(TXMUIMessages.writingCoocMatrixInGRAPHMLFileColon, outfile));
+				Log.info(TXMCoreMessages.bind(TXMUIMessages.writingCoocMatrixInGRAPHMLFileColonP0, outfile));
 			}
 
 		} catch (Exception e) {
 			Log.printStackTrace(e);
 			try {
-				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorColon, CQPSearchEngine.getCqiClient().getLastCQPError()));
+				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorP0, CQPSearchEngine.getCqiClient().getLastCQPError()));
 			} catch (Exception e1) {
 				e1.printStackTrace();
 			}
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3889)
@@ -1546,7 +1546,7 @@
 			Log.warning(NLS.bind(ConcordanceUIMessages.errorWhileComputingTheConcordanceColonP0, Log.toString(e1)));
 			Log.printStackTrace(e1);
 			try {
-				Log.warning(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorColon, CQPSearchEngine.getCqiClient().getLastCQPError()));
+				Log.warning(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorP0, CQPSearchEngine.getCqiClient().getLastCQPError()));
 			}
 			catch (Exception e2) {
 				Log.severe(NLS.bind(CQPSearchEngineCoreMessages.cQPErrorColonP0, e2));
Index: TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 3889)
@@ -26,7 +26,7 @@
 	public static String ErrorWhileComputingSpecificitiesBarChartP0;
 
 	public static String maximumScore; 
-	public static String failedToComputeSpecificities; 
+	public static String failedToComputeSpecificitiesP0; 
 	public static String t;
 
 	public static String index;
Index: TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3889)
@@ -238,7 +238,7 @@
 			}
 		}
 		catch (Exception e) {
-			Log.severe(NLS.bind(SpecificitiesUIMessages.failedToComputeSpecificities, e.getMessage()));
+			Log.severe(NLS.bind(SpecificitiesUIMessages.failedToComputeSpecificitiesP0, e.getMessage()));
 			Log.printStackTrace(e);
 		}
 	}
@@ -257,7 +257,7 @@
 				lexicalTableColumnTotalFrequencies = this.getResult().getColumnsFrequenciesSums();
 			}
 			catch (Exception e) {
-				Log.severe(NLS.bind(RCoreMessages.error_unexpectedErrorInRStatisticsEngine, e));
+				Log.severe(NLS.bind(RCoreMessages.error_unexpectedErrorInRStatisticsEngineP0, e));
 				Log.printStackTrace(e);
 				return;
 			}
Index: TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesSelectionChart.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesSelectionChart.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesSelectionChart.java	(revision 3889)
@@ -5,6 +5,7 @@
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
@@ -51,14 +52,14 @@
 				IWorkbenchPage iwp = iww.getActivePage();
 				IEditorPart editor = iwp.getActiveEditor();
 				if (!(editor instanceof SpecificitiesEditor)) {
-					Log.warning(SpecificitiesUIMessages.EditorIsNotASpecificitiesEditorP0 + editor.getClass());
+					Log.warning(NLS.bind(SpecificitiesUIMessages.EditorIsNotASpecificitiesEditorP0, editor.getClass()));
 					return null;
 				}
 				
 				open((SpecificitiesEditor) editor);
 			}
 			catch (Exception e) {
-				System.out.println(SpecificitiesUIMessages.ErrorWhileComputingSpecificitiesBarChartP0 + e.getLocalizedMessage());
+				Log.warning(NLS.bind(SpecificitiesUIMessages.ErrorWhileComputingSpecificitiesBarChartP0, e.getLocalizedMessage()));
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 		}
@@ -98,7 +99,7 @@
 			open(specificitiesSelection);
 		}
 		catch (Exception e) {
-			System.out.println(SpecificitiesUIMessages.ErrorWhileComputingSpecificitiesBarChartP0 + e.getLocalizedMessage());
+			Log.warning(NLS.bind(SpecificitiesUIMessages.ErrorWhileComputingSpecificitiesBarChartP0, e.getLocalizedMessage()));
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 		
Index: TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 3889)
@@ -107,7 +107,7 @@
 			
 		}
 		catch (Exception e) {
-			Log.severe(TXMCoreMessages.bind(SpecificitiesCoreMessages.error_errorWhileComputingSpecificities, e));
+			Log.severe(TXMCoreMessages.bind(SpecificitiesCoreMessages.error_errorWhileComputingSpecificitiesP0P0, e));
 			Log.printStackTrace(e);
 			return null;
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3889)
@@ -267,7 +267,7 @@
 			activateProxyService();
 		}
 		catch (Exception e) {
-			Log.warning(TXMCoreMessages.bind(TXMUIMessages.couldNotStartProxyConfigurationColon, e));
+			Log.warning(TXMCoreMessages.bind(TXMUIMessages.couldNotStartProxyConfigurationColonP0, e));
 		}
 		
 		try {			
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3889)
@@ -126,7 +126,7 @@
 					date = Calendar.getInstance().getTime(); // today
 				}
 				
-//				if (MessageDialog.openQuestion(ImportWizard.this.getShell(), NLS.bind(TXMUIMessages.p0Import, project), NLS.bind(TXMUIMessages.theP1P0CorpusWillBeReplaced+"\nContinue ?", project, date))) {
+//				if (MessageDialog.openQuestion(ImportWizard.this.getShell(), NLS.bind(TXMUIMessages.P0Import, project), NLS.bind(TXMUIMessages.theP1P0CorpusWillBeReplaced+"\nContinue ?", project, date))) {
 					Log.info(NLS.bind(TXMUIMessages.theP1P0CorpusWillBeReplaced, project, date));
 //				} else {
 //					Log.info(TXMUIMessages.abort);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 3889)
@@ -262,7 +262,7 @@
 				autoName = getStructuralUnitProperty().asFullNameString() + "=" + getValues().get(0); //$NON-NLS-1$
 			}
 			
-			Log.info(NLS.bind(TXMUIMessages.noSubcorpusNameWasSpecifiedWeveGeneratedOne, autoName));
+			Log.info(NLS.bind(TXMUIMessages.noSubcorpusNameWasSpecifiedWeveGeneratedOneP0, autoName));
 			
 			name.setText(autoName);
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java	(revision 3889)
@@ -178,7 +178,7 @@
 		if (outfile.exists()) {
 			System.out.println(NLS.bind(TXMUIMessages.p1FileSavedInP0, outfile, ""));  //$NON-NLS-1$
 		} else {
-			System.out.println(NLS.bind(TXMUIMessages.failedToExportFileP0, outfile)); //$NON-NLS-1$
+			System.out.println(NLS.bind(TXMUIMessages.failedToExportFileP0WithP1, outfile)); //$NON-NLS-1$
 		}
 	}
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3889)
@@ -269,7 +269,7 @@
 					
 					Log.info(NLS.bind(TXMUIMessages.CompilingP0Etc, scriptfile.getName()));
 					Script script = gse.createScript(relativepath, binding);
-					Log.info(NLS.bind(TXMUIMessages.executingGroovyScript, scriptfile.getName()));
+					Log.info(NLS.bind(TXMUIMessages.executingGroovyScriptP0, scriptfile.getName()));
 					script.run();
 					Log.info(TXMUIMessages.bind(TXMUIMessages.doneP0Ms, timer.ellaspeTime()));
 				} catch (ThreadDeath td) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3889)
@@ -84,7 +84,7 @@
 	
 	public static String abort;
 	
-	public static String abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists;
+	public static String abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists;
 	
 	public static String abortingLoadingOfP1ACorpusWithTheSameCQPIDP1AlreadyExists;
 	
@@ -254,7 +254,7 @@
 	
 	public static String contextsDisplayOptions;
 	
-	public static String coocMatrixColon;
+	public static String coocMatrixColonP0;
 	
 	public static String coocMatrixParameters;
 	
@@ -274,7 +274,7 @@
 	
 	public static String corpusNameOnlyCapsAndNoDigitAtBeginning;
 	
-	public static String couldNotCreateBackupDirectoryColon;
+	public static String couldNotCreateTheP0BackupDirectory;
 	
 	public static String couldNotFindDirectoryColonP0;
 	
@@ -282,11 +282,11 @@
 	
 	public static String couldNotLaunchTheInternalWebBrowserYouMustSetThatParameterInThePreferencesMenuColonGeneralSupWebNavigator;
 	
-	public static String couldNotReadInstallPreferencesFile;
+	public static String couldNotReadInstallPreferencesFileP0;
 	
-	public static String couldNotStartProxyConfigurationColon;
+	public static String couldNotStartProxyConfigurationColonP0;
 	
-	public static String couldNotUnzipBinaryCorpusColon;
+	public static String couldNotUnzipBinaryCorpusColonP0;
 	
 	public static String createANewMacroFromATemplate;
 	
@@ -336,7 +336,7 @@
 	
 	public static String distance;
 	
-	public static String distance_2;
+	public static String wordsDistanceP0;
 	
 	public static String doNotConfirmToDeleteAnObject;
 	
@@ -344,7 +344,7 @@
 	
 	public static String doneColonP0Created;
 	
-	public static String doneColonP0Items;
+	public static String doneColonP0ItemsAndP1Occ;
 	
 	public static String doneColonP0Parts;
 	
@@ -420,7 +420,7 @@
 	
 	public static String errorInAtOptionNameDeclarationColon;
 	
-	public static String errorWhileCallingOrgeclipseuiwindowresetPerspectiveColon;
+	public static String errorWhileCallingOrgeclipseuiwindowresetPerspectiveColonP0;
 	
 	public static String errorWhileCleaningPerspectiveColonNoHandlerServiceFound;
 	
@@ -434,7 +434,7 @@
 	
 	public static String errorWhileGettingCurrentPositionValueColon;
 	
-	public static String errorWhileLoadingTXMColon;
+	public static String errorWhileLoadingTXMP0;
 	
 	public static String errorWhileOpeningBibliographicRecordP0WithURLEqualsP1;
 	
@@ -446,13 +446,13 @@
 
 	public static String errorWhileSavingTokenizerParameters;
 	
-	public static String errorWhileUpdatingTXMColon;
+	public static String errorWhileUpdatingTXMP0;
 	
-	public static String errorWhileUpdatingTXMColonNoHandlerServiceFound;
+	public static String errorWhileUpdatingTXMP0NoHandlerServiceFound;
 	
 	public static String errorWithElementP0;
 	
-	public static String error_invalidRegularExpression;
+	public static String error_invalidRegularExpressionP0;
 	
 	public static String errorsOccuredDuringTXMPostInstallation;
 	
@@ -460,11 +460,11 @@
 	
 	public static String errorTheProvidedTXMHOMEDirectoryDoesNotExistsP0Aborting;
 	
-	public static String execColon;
+	public static String executingP0;
 	
 	public static String executeScript;
 	
-	public static String executingGroovyScript;
+	public static String executingGroovyScriptP0;
 	
 	public static String executingLastMacroColon;
 	
@@ -496,7 +496,7 @@
 	
 	public static String extractingBinaryCorpus;
 	
-	public static String failedToBackupExistingCorporaColon;
+	public static String failedToBackupExistingCorporaP0;
 	
 	public static String failedToCancel;
 	
@@ -512,7 +512,7 @@
 	
 	public static String failedToExportCorpusP0;
 	
-	public static String failedToExportFileP0;
+	public static String failedToExportFileP0WithP1;
 	
 	public static String failedToExportInFileP0WithFormatP1;
 	
@@ -526,11 +526,10 @@
 	
 	public static String failedToLoadCorpusP0;
 	
-	public static String failedToMoveCorpus;
 	
 	public static String failedToRename;
 	
-	public static String failedToSaveAs;
+	public static String failedToSaveAsP0ErrorP1;
 	
 	public static String failedToSavePreferencesColonP0;
 	
@@ -548,7 +547,7 @@
 	
 	public static String form;
 	
-	public static String foundLinesColon;
+	public static String P0LinesFound;
 	
 	public static String foundP0Values;
 	
@@ -576,7 +575,7 @@
 	
 	public static String iAcceptTheLicenceAndIUndertakeToCiteTXMForAcknowledgingMyUseOfTXMInMyResearchWorkSeeTheCitationSectionOfTheInfhttpColontextometrieenslyonfrspipphprubrique61SupPage;
 	
-	public static String identifiedLanguage;
+	public static String identifiedLanguageP0;
 	
 	public static String imLookingForColon;
 	
@@ -620,7 +619,7 @@
 	
 	public static String isDifferentFrom;
 	
-	public static String jobColon;
+	public static String jobP0;
 	
 	public static String leftContextSize;
 	
@@ -638,7 +637,7 @@
 	
 	public static String loadingBinaryCorpus;
 	
-	public static String loadingTXMInstallPreferences;
+	public static String loadingTXMInstallPreferencesP0;
 	
 	public static String loadingTheCorpusInThePlatform;
 	
@@ -706,7 +705,7 @@
 	
 	public static String nameIsMandatory;
 	
-	public static String namesColon;
+	public static String namesP0;
 	
 	public static String newCorpusColonP0;
 	
@@ -744,7 +743,7 @@
 	
 	public static String noSelectionForColon;
 	
-	public static String noSubcorpusNameWasSpecifiedWeveGeneratedOne;
+	public static String noSubcorpusNameWasSpecifiedWeveGeneratedOneP0;
 	
 	public static String noTextInCorpusColonP0;
 	
@@ -752,11 +751,11 @@
 	
 	public static String noteColonUseValueToGuess;
 	
-	public static String numberOfEdgesColon;
+	public static String numberOfEdgesP0;
 	
-	public static String numberOfLinesColon;
+	public static String numberOfLinesP0;
 	
-	public static String numberOfNodesColon;
+	public static String numberOfNodesP0;
 	
 	public static String objColon;
 	
@@ -774,7 +773,7 @@
 	
 	public static String outsidetextToedit;
 	
-	public static String p0Import;
+	public static String P0Import;
 	
 	public static String p0ParametersInput;
 	
@@ -1062,7 +1061,7 @@
 	
 	public static String userInterfaceLanguage;
 	
-	public static String usingLanguage;
+	public static String usingP0Language;
 	
 	public static String valueSelector;
 	
@@ -1090,7 +1089,7 @@
 	
 	public static String workspaceDirectoryBackup;
 	
-	public static String writingCoocMatrixInGRAPHMLFileColon;
+	public static String writingCoocMatrixInGRAPHMLFileColonP0;
 	
 	public static String wrongInput;
 	
@@ -1106,7 +1105,7 @@
 	
 	public static String installingPreviousCorpusFromP0;
 	
-	public static String p0ImportWithP1;
+	public static String P0ImportWithP1;
 	
 	public static String sampleCorporaOfCurrentTXMP0;
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 3889)
@@ -237,10 +237,10 @@
 			if (updateMode) {
 				return TXMUIMessages.bind(TXMUIMessages.UpdateP0P1Import, project.getName(), importName);
 			} else {
-				return TXMUIMessages.bind(TXMUIMessages.p0ImportWithP1, project.getName(), importName);
+				return TXMUIMessages.bind(TXMUIMessages.P0ImportWithP1, project.getName(), importName);
 			}
 		} else {
-			return TXMUIMessages.bind(TXMUIMessages.p0Import, importName);
+			return TXMUIMessages.bind(TXMUIMessages.P0Import, importName);
 		}
 	}
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 3889)
@@ -77,7 +77,7 @@
 						}
 					}
 				}
-				Log.fine(TXMCoreMessages.bind(TXMUIMessages.foundLinesColon, matchingIndexes));
+				Log.fine(TXMCoreMessages.bind(TXMUIMessages.P0LinesFound, matchingIndexes));
 				
 				// TODO: useless ?
 				// int[] indexes = new int[matchingIndexes.size()];
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ObjectSelectionDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ObjectSelectionDialog.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ObjectSelectionDialog.java	(revision 3889)
@@ -334,7 +334,7 @@
 				}
 			System.out.println(NLS.bind(TXMUIMessages.foundP0Values, count));
 		} catch (Exception ex) {
-			System.out.println(NLS.bind(TXMUIMessages.error_invalidRegularExpression, ex.getMessage()));
+			System.out.println(NLS.bind(TXMUIMessages.error_invalidRegularExpressionP0, ex.getMessage()));
 		}
 	}
 
@@ -356,7 +356,7 @@
 				}
 			System.out.println(NLS.bind(TXMUIMessages.foundP0Values, count));
 		} catch (Exception ex) {
-			System.out.println(NLS.bind(TXMUIMessages.error_invalidRegularExpression, ex.getMessage()));
+			System.out.println(NLS.bind(TXMUIMessages.error_invalidRegularExpressionP0, ex.getMessage()));
 		}
 	}
 }
\ No newline at end of file
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SaveAs.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SaveAs.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SaveAs.java	(revision 3889)
@@ -91,7 +91,7 @@
 					EditFile.openfile(resultFile);
 					Explorer.refresh();
 				} catch (Exception e) {
-					Log.severe(TXMCoreMessages.bind(TXMUIMessages.failedToSaveAs, resultFile, e));
+					Log.severe(TXMCoreMessages.bind(TXMUIMessages.failedToSaveAsP0ErrorP1, resultFile, e));
 				}
 			}
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3889)
@@ -84,7 +84,7 @@
 				p.delete();
 			}
 			else {
-				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, basedirname.toUpperCase()));
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, zipFile, basedirname.toUpperCase()));
 				return null;
 			}
 		}
@@ -95,7 +95,7 @@
 				DeleteDir.deleteDirectory(corpusDirectory);
 			}
 			else {
-				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, corpusDirectory));
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, zipFile, corpusDirectory));
 				return null;
 			}
 		}
@@ -105,7 +105,7 @@
 			Zip.decompress(zipFile, Toolbox.workspace.getLocation(), false, monitor);
 		}
 		catch (Exception e) {
-			Log.severe(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusColon, e));
+			Log.severe(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusColonP0, e));
 			org.txm.utils.logger.Log.printStackTrace(e);
 			return null;
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 3889)
@@ -84,7 +84,7 @@
 				p.delete();
 			}
 			else {
-				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, basedirname.toUpperCase()));
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, zipFile, basedirname.toUpperCase()));
 				return null;
 			}
 		}
@@ -95,7 +95,7 @@
 		}
 		else {
 			if (corpusDirectory.exists()) {
-				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, corpusDirectory));
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, zipFile, corpusDirectory));
 				return null;
 			}
 		}
@@ -112,7 +112,7 @@
 			}
 		}
 		catch (Exception e) {
-			System.out.println(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusColon, e));
+			System.out.println(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusColonP0, e));
 			org.txm.utils.logger.Log.printStackTrace(e);
 			return null;
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3889)
@@ -329,7 +329,7 @@
 		// test with project name
 		Project p = Toolbox.workspace.getProject(corpusDirectory.getName().toUpperCase());
 		if (p != null) {
-			Log.warning(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, corpusDirectory, corpusDirectory.getName().toUpperCase()));
+			Log.warning(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, corpusDirectory, corpusDirectory.getName().toUpperCase()));
 			return null;
 		}
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportClipboardText.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportClipboardText.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportClipboardText.java	(revision 3889)
@@ -180,10 +180,10 @@
 		if ("??".equals(lang)) { //$NON-NLS-1$
 			LangDetector detector = new LangDetector(quicksrc);
 			lang = detector.getLang();
-			Log.info(TXMCoreMessages.bind(TXMUIMessages.identifiedLanguage, lang));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.identifiedLanguageP0, lang));
 		}
 		project.setLang(lang); //$NON-NLS-1$
-		Log.info(TXMCoreMessages.bind(TXMUIMessages.usingLanguage, project.getLang()));
+		Log.info(TXMCoreMessages.bind(TXMUIMessages.usingP0Language, project.getLang()));
 		
 		String ttpath = TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.INSTALL_PATH);
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java	(revision 3888)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java	(revision 3889)
@@ -67,7 +67,7 @@
 		Thread.sleep(1000);
 		JobsTimer.start();
 		Thread.sleep(1000);
-		System.out.println(TXMCoreMessages.bind(TXMUIMessages.jobColon, JobsTimer.stop()));
-		System.out.println(TXMCoreMessages.bind(TXMUIMessages.execColon, ExecTimer.stop()));
+		System.out.println(TXMCoreMessages.bind(TXMUIMessages.jobP0, JobsTimer.stop()));
+		System.out.println(TXMCoreMessages.bind(TXMUIMessages.executingP0, ExecTimer.stop()));
 	}
 }
\ No newline at end of file
